# qtable 项目间 token 同步(临时)

## 使用方法

```bash
npm i git+https://git.qmpoa.com/fe_common_lib/qtable-auth-hook.git -S
```

```js
import { useAuth, getToken } from 'qtable-auth-hook'

const { isAuthed } = useAuth('https://ddm.qimingpian.cn/#/auth/otherproject?asker=', 'https://ddm.qimingpian.cn')

console.log('当前授权通过？', isAuthed)
console.log('TOKEN是：', getToken())
```

## 实现

- 检查本地cookie（主站点cookie现在存到了一级域名下）
  - 有，
  - 没有，检查是否为iframe
    - 是，发送`postMessage`请求token
    - 不是，跳转到主站点授权页面，授权页会以iframe的形势嵌入请求授权的页面，并在发送token后主动跳回

## 开发

调试

1. 创建自己的分支
2. 跨项目调试把引用地址改为`qtable-auth-hook": "git+https://git.qmpoa.com/fe_common_lib/qtable-auth-hook.git#你的分支名`

合master

1. 调试完成需要执行`npm run dist`以供其它项目调用
2. push前改`package.json`中的`version`
3. push后以`version`打tag，其它项目的依赖对应升级版本号

    ```json
    //"qtable-auth-hook": "git+https://git.qmpoa.com/fe_common_lib/qtable-auth-hook.git#v0.0.8",
    "qtable-auth-hook": "git+https://git.qmpoa.com/fe_common_lib/qtable-auth-hook.git#v1.1.0",
    ```
