import resolve from 'rollup-plugin-node-resolve'; // 依赖引用插件
import commonjs from 'rollup-plugin-commonjs'; // commonjs模块转换插件
import ts from 'rollup-plugin-typescript2';
import { uglify } from 'rollup-plugin-uglify';
import serve from 'rollup-plugin-serve';

const PROD = process.argv.includes('--compact');
const devPlugins = PROD ? [] : [serve('dist')];

export default {
  input: './index.ts',
  output: [
    {
      dir: 'dist',
      format: 'cjs',
      entryFileNames: '[name].cjs.js',
    },
    {
      dir: 'dist',
      format: 'umd',
      entryFileNames: '[name].umd.js',
      name: 'QtableAuth',
    },
  ],
  plugins: [resolve(), commonjs(), ts(), uglify(), ...devPlugins],
};
